URL structure
{itemId} is the ID of a file object/Secure Object or folder/collection.
Supported methods and overview
PUT- removes (i.e. ‘unshares’) all collaborators from a file object/Secure Object or folder/collection (i.e. item), specified byitemId.
This method takes no parameters.
Detailed description
This API endpoint removes all collaborators from either a file object or folder (including the folder’s contents), specified byitemId.
The item’s ID can be obtained by calling the <access-service>/api/v1/organisations/{orgId}/items API endpoint, which retrieves a list of information associated with file objects and folders that can be filtered using various ‘search’ criteria.
If the item’s ID is a folder, then all collaborators will also be removed from every item contained within this folder; that is, any collaborators which had been set explicitly on any items contained within this folder are also removed.
Supported roles and conditions
This API endpoint supports requests utilizing Covata user accounts with the following roles (as described in the Organization Administrator’s Guide):- Originator - when this user owns the item whose ID is specified by
{itemId}in the request’s URL. - Originator, Collaborator and Ad hoc - when this user is a collaborator with the Share permission on the item whose ID is specified by
{itemId}in the URL.
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
